### Name: ParserParams
### Title: Input Parameter List
### Aliases: ParserParams
### Keywords: misc

### ** Examples

## Example1: Parse data from a single bioprocessor run:

ParserParams<-list()
ParserParams$dataSource <- "Lab1"
ParserParams$multipleRuns <- "no" 
ParserParams$concatLists <- "no" 
ParserParams$runIndices <- 1

directory = system.file("Examples", package = "WMBrukerParser")
ParserParams$dataDirLeft <- 
paste(directory,"/C3ValidationExtractSmall/RobotRun1/2-100kDa",sep="")

ParserParams$dataDirRight <- "" 
ParserParams$printMemoryUse <- "no"

ParseAndSave(ParserParams)

## Example2: Parse and concatenate data from two bioprocessor
## two runs with memory information printed:

ParserParams<-list()
ParserParams$dataSource <- "Lab1"
ParserParams$multipleRuns <- "yes" 
ParserParams$concatLists <- "yes" 
ParserParams$runIndices <- c(1,2)

directory = system.file("Examples", package = "WMBrukerParser")
ParserParams$dataDirLeft <- 
paste(directory,"/C3ValidationExtractSmall/RobotRun",sep="")

ParserParams$dataDirRight <- "/2-100kDa" 
ParserParams$printMemoryUse <- "yes"

ParseAndSave(ParserParams)




